#!/bin/sh

PREPATH=${0%/*}

## configuration start

PDPATH="$PREPATH/abs:$PREPATH/lib:$PREPATH/iemabs \
	$PREPATH/gui:$PREPATH/ambi_abs:$PREPATH/ambi_abs_multiple:$PREPATH"
PDLIB="Gem:zexy:iemlib1:iemlib2:iem_ambi:iem_bin_ambi:iem_matrix:iem_spec2:iem_delay:iem_roomsim:iem_tab:iemgui:itrax2"
AUDIO="-nomidi -channels 2 -noadc -alsa -audiobuf 250"

## configuration end

function makePaths() {
PDPATHS=""
for i in $@
do
  PDPATHS="$PDPATHS -path $i"
done
echo $PDPATHS
}

function makeLibs() {
PDLIBS=""
for i in $@
do
  PDLIBS="$PDLIBS -lib $i"
done
echo $PDLIBS
}


if [ -z "$PD" ]
then
  if [ -e /usr/bin/pd ]
  then
    PD=/usr/bin/pd
  else
    PD=`which pd`
  fi
fi

$PD $AUDIO `makePaths $PDPATH` `makeLibs $PDLIB` $@


